Module ij
Package ij.process

# Class AutoThresholder

java.lang.Object
ij.process.AutoThresholder

public class AutoThresholder extends Object
Autothresholding methods (limited to 256 bin histograms) from the Auto_Threshold plugin (http://fiji.sc/Auto_Threshold) by G.Landini at bham dot ac dot uk).

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`AutoThresholder.Method`

## Constructor Summary

Constructors
Constructor
Description
`AutoThresholder()`

## Method Summary

Modifier and Type
Method
Description
`protected static double`
`A(int[] y, int j)`
`protected static double`
`B(int[] y, int j)`
`int`
`bilevel(int[] data)`
`static boolean`
`bimodalTest(double[] y)`
`protected static double`
`C(int[] y, int j)`
`static String[]`
`getMethods()`
`int`
`getThreshold(AutoThresholder.Method method, int[] histogram)`
Calculates and returns a threshold using the specified method and histogram.
`int`
`getThreshold(String mString, int[] histogram)`
`static int`
`Huang(int[] data)`
`static int`
`Huang2(int[] data)`
`static int`
`IJDefault(int[] data)`
`static int`
`Intermodes(int[] data)`
`static int`
`IsoData(int[] data)`
`static int`
`Li(int[] data)`
`static int`
`MaxEntropy(int[] data)`
`static int`
`Mean(int[] data)`
`static int`
`MinErrorI(int[] data)`
`static int`
`Minimum(int[] data)`
`static int`
`Moments(int[] data)`
`static int`
`Otsu(int[] data)`
`protected static double`
`partialSum(int[] y, int j)`
`static int`
`Percentile(int[] data)`
`static int`
`RenyiEntropy(int[] data)`
`void`
`setBilevelSubractOne(boolean b)`
`static int`
`Shanbhag(int[] data)`
`static int`
`Triangle(int[] data)`
`static int`
`Yen(int[] data)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutoThresholder

public AutoThresholder()

## Method Details

### getMethods

public static String[] getMethods()

### getThreshold

public int getThreshold(AutoThresholder.Method method, int[] histogram)
Calculates and returns a threshold using the specified method and histogram.

### getThreshold

public int getThreshold(String mString, int[] histogram)

### bilevel

public int bilevel(int[] data)

### IJDefault

public static int IJDefault(int[] data)

### Huang

public static int Huang(int[] data)

### Huang2

public static int Huang2(int[] data)

### bimodalTest

public static boolean bimodalTest(double[] y)

### Intermodes

public static int Intermodes(int[] data)

### IsoData

public static int IsoData(int[] data)

### Li

public static int Li(int[] data)

### MaxEntropy

public static int MaxEntropy(int[] data)

### Mean

public static int Mean(int[] data)

### MinErrorI

public static int MinErrorI(int[] data)

### A

protected static double A(int[] y, int j)

### B

protected static double B(int[] y, int j)

### C

protected static double C(int[] y, int j)

### Minimum

public static int Minimum(int[] data)

### Moments

public static int Moments(int[] data)

### Otsu

public static int Otsu(int[] data)

### Percentile

public static int Percentile(int[] data)

### partialSum

protected static double partialSum(int[] y, int j)

### RenyiEntropy

public static int RenyiEntropy(int[] data)

### Shanbhag

public static int Shanbhag(int[] data)

### Triangle

public static int Triangle(int[] data)

### Yen

public static int Yen(int[] data)

### setBilevelSubractOne

public void setBilevelSubractOne(boolean b)